%global modname podcastparser
%global sum     Simplified, fast RSS parsing library

Name:               python-%{modname}
Version:            0.6.3
Release:            2%{?dist}
Summary:            %{sum}

License:            ISC
URL:                https://github.com/gpodder/%{modname}
Source0:            %{url}/archive/%{version}.tar.gz#/%{modname}-%{version}.tar.gz

BuildRequires:      python2-devel
BuildRequires:      python2-setuptools

BuildRequires:      python3-devel
BuildRequires:      python3-setuptools

BuildArch:          noarch

%description
The podcast parser project is a library from the gPodder project to provide
an easy and reliable way of parsing RSS- and Atom-based podcast feeds in
Python.


%package -n python2-%{modname}
Summary:            %{sum}
%{?python_provide:%python_provide python2-%{modname}}


%description -n python2-%{modname}
%{sum}.


%package -n python3-%{modname}
Summary:            %{sum}
%{?python_provide:%python_provide python3-%{modname}}


%description -n python3-%{modname}
%{sum}.


%prep
%autosetup -n %{modname}-%{version}

# Better safe than sorry
find . -type f -name '*.py' -exec sed -i /env\ python/d {} ';'
find . -type f -name '*.py' -exec sed -i /env\ python/d {} ';'

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%{!?_licensedir: %global license %doc}

%files -n python2-%{modname}
%doc README.md
%license LICENSE
%{python2_sitelib}/%{modname}*

%files -n python3-%{modname}
%doc README.md
%license LICENSE
%{python3_sitelib}/%{modname}*
%{python3_sitelib}/__pycache__/%{modname}*


%changelog
* Mon Jan 29 2018 Gwyn Ciesla <limburgher@gmail.com> - 0.6.3-1
- 0.6.3.

* Sat Jan 27 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.6.2-2
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Wed Nov 01 2017 Gwyn Ciesla <limburgher@gmail.com> - 0.6.2-1
- 0.6.2.

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Dec 23 2016 Jon Ciesla <limburgher@gmail.com> - 0.6.1-1
- Buxfix release.

* Fri Dec 09 2016 Jon Ciesla <limburgher@gmail.com> - 0.6.0-2
- Fixed Source, License and macro usage for review.

* Wed Nov 30 2016 Jon Ciesla <limburgher@gmail.com> - 0.6.0-1
- Initial package.
